FINCORE(1)

NAMN
fincore - räkna sidor med filinnehåll i kärnan

SYNOPSIS

fincore [flaggor] fil...

BESKRIVNING

fincore counts pages of file contents being resident in memory (in core), and reports the numbers. If an error occurs during counting, then an error message is printed to the stderr and fincore continues processing the rest of files listed in a command line. fincore uses the cachestat(2) syscall to count resident pages. If the cachestat(2) syscall is not available and cachestat usage is not forced with the --cachestat option, then fincore uses the mincore(2) syscall as a fallback. The cachestat(2) syscall is more efficient than mincore because it does not require a page table lock to walks page tables, and also reports more information than mincore, like the number of cached pages, dirty pages, pages marked for writeback, evicted pages, and recently evicted pages. Another difference between the two syscalls is that if write permissions are not granted to the file, then cachestat(2) returns an error, while mincore(2) for security reasons, returns fake data as if all pages were resident in memory (c.f.r.

Standardutdata kan komma att ändras. Så när det är möjligt bör du undvika att använda standardutdata i dina skript. Definiera alltid uttryckligen förväntade kolumner genom att använda --output columns-list i miljöer där en stabil utdata krävs.

FLAGGOR

-n, --noheadings
    Skriv inte ut en rubrikrad i statusutmatningen.

-b, --bytes
    Print sizes in bytes rather than in human-readable form.

    By default, sizes are shown in units that are powers of 1024 bytes. The formal abbreviations for these units (KiB, MiB, GiB, ...) are further shortened to just their first letter: K, M, G, ....

-c, --total
    produce a grand total.

-C, --cachestat
    force usage of the cachestat(2) syscall instead of mincore(2), and fail if it’s not available.

-o, --output lista
    Definiera utdatakolumner. Se utdata --help för att få en lista över de kolumner som stöds för närvarande. Standardlistan med kolumner kan utökas om lista anges i formatet +list.

--output-all
    Skriv ut alla tillgängliga kolumner.

-r, --raw
    Producerar utdata i råformat. Alla potentiellt osäkra tecken är hexadecalerade (\x<code>).

-J, --json
    Använd JSON-utdataformat.

-R, --recursive
    Recursively check all files in directories.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

LIBSMARTCOLS_DEBUG=all
    aktiverar libsmartcols felsökningsutdata.

LIBSMARTCOLS_DEBUG_PADDING=on
    använda synliga utfyllnadstecken.

UPPHOVSPERSONER

SE ÄVEN

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot fincore ingår i paketet util-linux som kan hämtas från